## Get webhook definition by ID

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/webhook/{webhookId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### HTTP Response Codes
- **200**: Success
- **404**: Not Found
- **500**: Internal Server Error

### Example Responses
```json
{
  "target": "http://www.test.com",
  "protocol": "HTTP",
  "source": "OMS",
  "events": "[ORDER_CREATED]",
  "webhookId": "<string>",
  "tenantId": "<string>",
  "targetApiKey": "adfasdWdsaQFSsdf",
  "apiVersion": "<string>",
  "format": "application/json",
  "callbackUrl": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z"
}
```

```json
{
  "message": "No webhook definition present for the given webhook Id"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations
#### Authorization
- **Type**: string (required)
- **Header**: `Authorization`
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers
- **x-site-context**: string (required) - The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot.

##### Example:
`"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"`

### Path Parameters
- **webhookId**: string (required) - The webhook identifier.

### Response Structure
The response for a successful request will include the following fields:
- **target**: string (required) - Target URL. Example: `"http://www.test.com"`
- **protocol**: string (required) - Example: `"HTTP"`
- **source**: string (required) - Source of event triggers. Example: `"OMS"`
- **events**: string[] (required) - Example: `"[ORDER_CREATED]"`
- **webhookId**: string
- **tenantId**: string
- **targetApiKey**: string - Required for target service authentication if necessary. Example: `"adfasdWdsaQFSsdf"`
- **format**: string - Content-Type of request body while triggering Webhook. Example: `"application/json"`
- **createdDate**: string<date-time>
- **updatedDate**: string<date-time>
